Bug 113881 - Unwanted components/services installed and started
Summary: Unwanted components/services installed and started
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda   
(Show other bugs)
Version: 1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-01-19 20:55 UTC by Bengt Hammarlin
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-05 16:00:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bengt Hammarlin 2004-01-19 20:55:30 UTC
Description of problem:
I selected no printer support for several servers. Not only does it
get installed, it is also STARTED!!
This problem appears to aply to other components as well. PCMCIA is
installed and started on a server that has no PCMCIA bus, as is IR.

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. Unselect CUPS in custom install
2. install
3. look at started services with chkconfig or ps -ef
  
Actual results:
CUPS running on all runlevels

Expected results:
CUPS not installed

Additional info:

Comment 1 Jeremy Katz 2004-01-19 21:33:36 UTC
The package gets reselected to satisfy the dependency of other
packages on the existence of a printing subsystem.

Comment 2 Bengt Hammarlin 2004-01-19 21:57:50 UTC
Then there is a problem! The installer should NEVER do a package
selection automagically in custom. Presumably the installer knows what
he is doing. In RH9 you were presented with the option how to resolve
failed dependencies. If this means that I have to remove (chkconfig
--del) a service that is not needed then you have failed.
Having a whole bunch of services running (consuming resources)
servicing hardware that simply DOES NOT exist on the machine serves no
purpose at all


Note You need to log in before you can comment on or make changes to this bug.